InlineArea.InlineAdjustingInfo (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.area.inline

## Class InlineArea.InlineAdjustingInfo

- java.lang.Object
- - org.apache.fop.area.inline.InlineArea.InlineAdjustingInfo

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AbstractTextArea.TextAdjustingInfo
  Enclosing class:
    InlineArea

      protected class InlineArea.InlineAdjustingInfo
      extends java.lang.Object
      implements java.io.Serializable

  this class stores information about potential adjustments that can be used in order to re-compute adjustments when a page-number or a page-number-citation is resolved
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `adjustment` total adjustment (= ipd - width of fixed elements)
    `protected int` | `availableShrink` shrink of the inline area
    `protected int` | `availableStretch` stretch of the inline area

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InlineAdjustingInfo(int stretch, int shrink, int adj)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `applyVariationFactor(double variationFactor)` Apply the variation factor

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### availableStretch

          protected int availableStretch

      stretch of the inline area

    - #### availableShrink

          protected int availableShrink

      shrink of the inline area

    - #### adjustment

          protected int adjustment

      total adjustment (= ipd - width of fixed elements)

  - ### Constructor Detail

    - #### InlineAdjustingInfo

          protected InlineAdjustingInfo(int stretch,
                                        int shrink,
                                        int adj)

      Constructor
      Parameters:
        `stretch` - the available space for stretching
        `shrink` - the available space for shrinking
        `adj` - space adjustment type

  - ### Method Detail

    - #### applyVariationFactor

          protected int applyVariationFactor(double variationFactor)

      Apply the variation factor
      Parameters:
        `variationFactor` - the factor by which the adjustment is to be changed
      Returns:
        the IPD increase

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.